commit:     150d40e544c66d8f62a06885f509a4ea2a3364b2
Author:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 14 18:11:36 2026 +0000
Commit:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Sat Mar 14 18:13:32 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=150d40e5

net-im/synapse: add 1.149.1

Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>

 net-im/synapse/Manifest               |  12 ++
 net-im/synapse/synapse-1.149.1.ebuild | 364 ++++++++++++++++++++++++++++++++++
 2 files changed, 376 insertions(+)

diff --git a/net-im/synapse/Manifest b/net-im/synapse/Manifest
index f0f311cfa96c..d73b265c0442 100644
--- a/net-im/synapse/Manifest
+++ b/net-im/synapse/Manifest
@@ -1,5 +1,6 @@
 DIST aho-corasick-1.1.3.crate 183311 BLAKE2B 
8dfcbba0b9d94e55eae739b16f5c6474baa43ee7854c5ca792f426a9f46fb0eece79cd493b804e51449181bcad338b96819fe977c02c9907654d713e26b9f830
 SHA512 
ba422a54688c4678fcf16e34fdf3ed06c333e6e3fc8b75af9272a215add494d43ebaef319021134b61327fd5d3572aec0dc655b714ffb3bc71ba3c265c9ebb69
 DIST anyhow-1.0.100.crate 54059 BLAKE2B 
3089cd4bac1a3ede11c5849fabf12735392ba2910f5d5c1117cbbc9fe2491855745879690522988ac343e210783f8d885f13593b4d0f3a3816b9a8c35ef2eb7d
 SHA512 
1f0c072aab9490d68db3783f078c6f8a4d96360908fc6ee3e971b02fb72b9dd5e689dd385f0e93388a87e0dfbd8cff0e14a280b40d55f87646f3c0e558e779ca
+DIST anyhow-1.0.101.crate 52315 BLAKE2B 
8c3f626aea2c05d27e5a7e401147f0ac779775f026aaced102ca1197eaed9ad971b8170294da9afb5c8be0be87ae3deddb891ff0de7d5726f16f388593f6b328
 SHA512 
a062eea355a23cc505d7a116dcfd135a905210065069efc6917b520b292f248f6189f58c8ac1392be57f25d8e44613c351901990adaeefeb2d0ba8a612ed8496
 DIST arc-swap-1.7.1.crate 68512 BLAKE2B 
5ddeffd2ae8af4125a5b43d4a0a1afc7948533bf037d8cd3e47603c13b57b156618280d99b840bf318b25b6eb29400ad68499695e182acdc05bc5f621c42ee16
 SHA512 
070fa8dd17b380b6d7d72f6f45c84e591de9a9770b9662351e7a41af03798bf5e34d185a5fcb948f4d8ac5e210a33acd465c39eff6097662c2442b34ee3dbdff
 DIST atomic-waker-1.1.2.crate 12422 BLAKE2B 
fc6632f3c9d719b1d24a1c8e05947d94028909d1c629b80576e176e567636dd4cca699c7e91cae2df63541da574146b3ce766374e93f0ee429bb5bc89a4d3cae
 SHA512 
e07e58db7955791259d0ec00fc4d53318aefb4506e062914819c4220c6dc75fa11a7af0289b4653aa1f9041eb975a025635190de68b4800a0e91e33cdb0ba11c
 DIST autocfg-1.5.0.crate 18729 BLAKE2B 
27580e39b366c6fca02c9db09997b6415c409f12068f1249184268bf96fd85ba659e25ec730f99e10caf452f96c486f3d7442bf09c4552b5f39519b21d6f88cc
 SHA512 
f279856f234d39d369623576acf9546a1ca24d7fe449f36d4fb93ea75a7efaf2c4015b9616a69bbbed358c5e5882e16b045352f046aa4c049b3d13b1e8257b08
@@ -24,14 +25,23 @@ DIST equivalent-1.0.2.crate 7419 BLAKE2B 
7ce4fb7b911961cd4ccfb48323eea4952110a06
 DIST fnv-1.0.7.crate 11266 BLAKE2B 
81da85889c91b6567e0f555e37dd915f1bd919719d1ca10c31a6861d7aec29a49ae9c1e8bc500791bf9d6b8dbb318c096d04872c5872a4b1f7d45fbd8e12842d
 SHA512 
2195a4b34a78e2dd9838caf0ee556bf87cbb4a8ef5505aac663b614eb59dcfc0c40f432463ede41ecca57bfe7711f72673d39a85fe03d426f1324097d5628334
 DIST form_urlencoded-1.2.1.crate 8969 BLAKE2B 
383d3a197b73fba199220b7708e16d770591ac16725faf4efc1a8c230c569c381870d4a11b8fba623e761e68f9d318630b22101d461e67dd26c67e13a73358a1
 SHA512 
c65104e2dc08fad572bb31f981700fd43dd29fcff42b01c7ccdbd3d4c23dec12360aed3f1b5fc4766fee386d418a65349b2941b8735f788cb0d35d631a6a8dd1
 DIST futures-0.3.31.crate 54953 BLAKE2B 
4b91470d3c85b9260c734dc6be8c985f78491b599d2a6ec0d1e824b82f684cd030be6f64179f7aa7c1d1fbc7cf0c5a1bc5bd045123b73461f490d7c2b9011f9a
 SHA512 
a08d23cdac9e162d0e6ae72bd792201ff4e13d7ade6b498cc597149b3df2062b06814804c0750d941d8b5be5d2ab4cfebbe2d08a98d875d2092bf25e6e71a51d
+DIST futures-0.3.32.crate 61234 BLAKE2B 
dd15b4558a91d8012bfd9d7ea3cf9764d8b4d9a4d9a2fcdfc10f30465d649989b637045e2cd72948dae060eab3de4ce257f90de263e4b08c3bd0cc37e79bfcf7
 SHA512 
ba0fab7062af4d01143ebaab728b9d836a6589821e49347751add959f7b85c685f91f99b6a31e44988d887c4301bf657c0f8d969cb3ae219235aef2528aeb4ae
 DIST futures-channel-0.3.31.crate 31971 BLAKE2B 
2a59ebb73f998ec307bef01e997bf2922556d6dea10e2e6e8da9e1b4cd05a8bcfeef01bc1cc57d79c39bbd98b8a0d26871dca5c7641a9d4e9c2bacbb3feb4eeb
 SHA512 
87e49e661cb12c1e03a07d3c94ca9bf5954344a51fa11639a118f5a49877c883387343af54639ad80e7196062a77fa7c9b9aff9804fb1e6ea3d0eb09efc53c69
+DIST futures-channel-0.3.32.crate 33213 BLAKE2B 
c1188af04231e661eb97652caa90fc37e784b53bd7ff604a664914db2c277321c353ab764919c2dbe68483b404de633f85baa9cc06086d5799576bc5d5117d64
 SHA512 
eb60ed5ee42df0778123c5967de28ca29764f518e586768cbed9b43b64c9e44812e2eb551a5259499ec81f693f00b914993bc910dd1f1f50b6a826cb3d76a8ab
 DIST futures-core-0.3.31.crate 14318 BLAKE2B 
613d16e4f18547e45ed0dd56a7b908306393e479c379ff64f358844eacb1f8d37008ffbbfe6b1a4ed184e501ee9214db149d9cca31651b7d353ab4a99c8f5ee1
 SHA512 
d2f4c2476c4f480f724a880ee16566fcdd545579d3cacd2f16745812eed9ac4a7a88d59d4a38b163ef466c6f6b612b9cb06308a09d52256506a8a90e358db935
+DIST futures-core-0.3.32.crate 14684 BLAKE2B 
d0c3ee59327998990f4cd81b8d76b6d8a58000ffda809ecafc8b7e658abffe4fc45be4b9d5e502436af8e4adef50b1601907b8256a9f65f8467beecd37ede220
 SHA512 
5848937ad4135fcc488690bc681bf66d6c353f063f87dfe1ea4b79259b9b402896276c10ea80b159a9adfa551abdb5b00a2c6b332af9a898766f87f177a40137
 DIST futures-executor-0.3.31.crate 17965 BLAKE2B 
e111467391cc99d1b6a1f5fd3aafdb86922a2d2d9e360112402d68489577527aa35f4f65e6c0dc8f48372927e6d7a6a4a97c7b9525c369cb14e34ca2dafbe64c
 SHA512 
337e70bd3a3bd3075b51e2afe8f157902ebe486696587cc2706b6a5770478ee2ee4216aa9e155e9821ed1d02ba437cdd3abd0c05aa960378ea192e2ed39af564
+DIST futures-executor-0.3.32.crate 18581 BLAKE2B 
ef9b6c7752a913d9ec420858c6e1c102c7b961412fcfa5a6832f11b1f3ce7ff47383d0b0827acbc2d84c00f3a0fd92c3d61be44eca4117470211ff3dd3de0880
 SHA512 
1bd682040fa15d7b6370b6c57d8109cc6e151230a3ecdede1485906c95feef911cffd15a8bdd3114e87efbba79ce444c05baa7dad6dd74aec09f2f00c645b040
 DIST futures-io-0.3.31.crate 9047 BLAKE2B 
667e62b50be304b68b8437d93b734a0e2433d88a3b410010ed0b04eb2bbfbc9984454c3f0a591f720c9983582c6421d7f870f0733c31337c4c518112f52aea54
 SHA512 
16d21388f7ca083d2c618ec140cb2c0807ca621b8c338698c367d862b99133ec9edda828f051f3f666472c929e7bf7a5cb334fcf167109c7c392c5cc60b54fdf
+DIST futures-io-0.3.32.crate 9191 BLAKE2B 
01938a42ddd4de31a389136376738b4e6fa6820698b470fad50db28886435857a9ef4b30d871559ab6a4fbdb3325cc05615a53e4bb37fa4eec2d019f26fcd42c
 SHA512 
df7447fcc2046d5453d26913109bde4dfcfee2cb6914e963b090c68b32fd5256c65697235fa5ca960659791bf787ca6ac88b6b09c42abc82527f3d3c6de5ac61
 DIST futures-macro-0.3.31.crate 11341 BLAKE2B 
d91ace97b854cbfeba1df90468fabf6313721ef72bb408ca6bee1c110b0162fe91da18d371b628513644f9d3956540d93c3e13bc9917550338f797967acc3967
 SHA512 
26c45dd8c037831ce3c41a326ddfd581784c2e7aa2805ca4d93b91e439f4d8c078293cd328bcd66d0283cbd5a14724bc624ec607c343d15193b00bd644b86166
+DIST futures-macro-0.3.32.crate 11929 BLAKE2B 
cb8645742a8b70286ebcb3c8f676c97726e0e8367a926d171439c8ead49933afab39111b66edb249133274641cf623086f4eacba4774885552b02132060d45cc
 SHA512 
39a5d7d4e610521d1d6d285a5ffec43b7d331d92d80e60890448d016ceb30ea577c93eb961321cf6c314273e566964dd879f7cd4b855b9f5e141dffe8e83aff9
 DIST futures-sink-0.3.31.crate 7958 BLAKE2B 
7d42180cfe19ae42e2ff486d83ed46f3aaa4b333256d4c30c5a2ce0e0d0b05ae93516b029e6d07105b4296bf23ba29e6fcce19f0e38ecf59b53c6ec9cfe2e188
 SHA512 
79a57dbee5cfe98f2c003bd463d252648743f70d13e2054af072978b758c7cb8e5fb652fd2f36c760df358ad23d2893cef24ca6ae3df44def28f1d39bcf348a9
+DIST futures-sink-0.3.32.crate 8106 BLAKE2B 
881eb606c985836f361f5133b32401f4ba84289a0c8e0e075f74ee2a6fd9ee1fb9197f53086c368c2e231db5f1e61ae88f99f578c50956d124b612f1e8060222
 SHA512 
05438809ce417dc5dc46c14b9190cf798e0ab5b7dd5b442adba2ba344618e076807d4884f4a8cdf2f321a27557b3e3b563805fbd51a9561e9224d7502d4a6bd3
 DIST futures-task-0.3.31.crate 11217 BLAKE2B 
8c0e0aa0aa14bfc28e668af00a3fcc2532950ca865a9f3935717a4a3770cb60477cd8f4cd080675379315b649fbdc5fee9dce49502f0f24f44db481a24c884bf
 SHA512 
4872fd2f24b07c626efc6fd76c01b44d56efecb9697f972d0877307b38d3ccb06277ff029df38981470ba1f8ac5f93086123ab3af44d3c49bd9c10b6c9158a81
+DIST futures-task-0.3.32.crate 11377 BLAKE2B 
290a2e7f7c957acfffc8041a5ce961b84bc6b1d02412ee8dce29cdc9a7d4daccbe430291d1a735c132b907448669aea4e5a3aa292cb5ea4b466b30fcd4e3f98f
 SHA512 
eea93a8490d7083566d7f723c0bfae01583787028ae5d8bba851625b1ccb2587d27db0cbf3d7fbfa36b51bd6d444c54905cc4d56021f43a5a440cc8b0ed73520
 DIST futures-util-0.3.31.crate 162124 BLAKE2B 
69ca647a261fe24f90a4221d8629169a8dc7eff9dd1c4e07cc700a52a8609ce9b8aa3974b9b09e1ee64d0121d7bcb3efeee6fc15983347aaa0b0b23b068afc34
 SHA512 
429b1de584546b931b17d475aacbdb0c14824a57d960c44e615aa808e8c0f9c126473e313a7150b3de87ea91b7eebebb1041509f61b3493fee8a9cd2c75c4df3
+DIST futures-util-0.3.32.crate 168797 BLAKE2B 
d804428849635088636df69330881d68474db307ac4dd5863d73d1d93c54e90a18e21663864e94f2bd86999356e19b8325e321cd5c63da6e3e05f26c3af836fc
 SHA512 
77705985b5cefd5a9009e631689f5967320cbd1363888cc8b7eef3f7457afb38c793499fc3edd4453bc8771c43436e5da1538ce0c5ef655a5e597f4fda2727b1
 DIST generic-array-0.14.7.crate 15950 BLAKE2B 
e74c785e3127095625951da192a018281ea9976aaeb11019f9088c3f27748c5fed1ef25d577150864486dc48b5138d6892e42f99979339f711a66fc70756c82b
 SHA512 
363a7b04e4102f9ca63d429721c1ada6272be6bf0a2e97da681faf76381f73f0e3acb86623b9ce2dae441de9fda704088391779b9769ec02b3c8c9f9f35f897d
 DIST getrandom-0.2.16.crate 40163 BLAKE2B 
cf95b380a610313eaf068fa210bdb4a9e0b9211321d708f9877cd9e1901df0f6b7f57462a4937da3419c7547ef300291deb5367f4dce4ff776e7f0d9d36dcd8d
 SHA512 
6391d5322f8ce2ea7d14062d378ae2ffad66622afd58b9f1732e5314b27d3a554c8a008f6d0d133640f11d769ac51ea4acd24e40259e14e2ffce93d5c3c1eb1e
 DIST getrandom-0.3.3.crate 49493 BLAKE2B 
17bf881c1ec8e70b263dad11fbb307484d7ff6a7bb6c0ed217730c0a766adb3a19e6633b28cff9eb7c1f9deea55a647ad53636533c392a5c39ac82e26623a18c
 SHA512 
8188d8fab05e8bdb3918eea6fc6f89aaf3767f8350fa953aeadfcdf24a513bb4e0d464853a264939bf2fa17f95ebd4077b74d813d587a7368072c5d7748c4c5b
@@ -109,6 +119,7 @@ DIST rand-0.9.2.crate 99930 BLAKE2B 
4440c21211e3c09daf8797de5ae1c7c461ead207456a
 DIST rand_chacha-0.9.0.crate 18258 BLAKE2B 
aa0efd158877a116b2587177f2da84832ba8153b629aaf8181ca7622bc8ea624b5a5d205d1b745caafaad78d5a55aa08a4f35822b8925acdf7d1212baf62abeb
 SHA512 
f62a7bb067ff984049c96cddccc841cd9931daeb5b25bb69f056bfe577f62b1b35c08f2bb5028590eefa04a9369beead4e6b03607eec97256e0383b20542af96
 DIST rand_core-0.9.3.crate 24543 BLAKE2B 
d611130e240dffaff33f8384f13a008af93254b1530bbbd2369057ca33f295c7037178010efe76e4d7bf18e36003f843409fabec060c8c78077cba00772e66f9
 SHA512 
6e8e4067dbf5853c55b0ed38293b6bc6bdecbdd31bb9d624609b0222f706f5b29281ffd5fffd5c316367ba5b22c29e5282c61de3738344798ce0f9cf9cf2ce19
 DIST regex-1.12.2.crate 163843 BLAKE2B 
4e36124886e35c2e06ecf3310c32f45bb80fff978a99509abd7d7eb6378f81123819470c227d5c234fd6e3bc7a8e7baa331ee0ed3137f9256c76cb32413ecb7f
 SHA512 
c459657944679350369462c3c7686dcdf412597f75bc13c450a131bfceebfe2cd1e1d7f95f0f55b4aa16bfc1acb5c777f344fcfd6a5927aa76b8a2d7aa954d3c
+DIST regex-1.12.3.crate 153392 BLAKE2B 
30f272fc2cda1e36219dfccf0338edacceb5bfada7ac81dd01429661b01b0fa72f6bb343e753e2388251aa0aadc0b5cf61e07670020c9ab351f418c23653ad47
 SHA512 
73ea9581c861490ad4c8c767c09f1f39be525f4298f5b19ba7b658dfade4c91f7ffd170214382ef4694855c0a48a4db57c39b75d8fa6a9312b07409170c66000
 DIST regex-automata-0.4.13.crate 625250 BLAKE2B 
e8682eff5df93737430a783cd913265dd45a9692fc4623a956557cd7d6553f34eff731f6f3ec5fed5c0dc6b7f8f31236203ad9f459a998fede053d990d9faea6
 SHA512 
f76939dc573a88d17b4cf37fedfcdf95202171ca8607374a5c2bcdc515abd1ef9231376175c6cf11cc567eddda34e0c5f90ed1c592f2c5efbd1dee883954a932
 DIST regex-syntax-0.8.5.crate 357541 BLAKE2B 
fc6d125f7a8574c37d81c75cbfd447cbcff736f2d9991b19814ffc1a414ebc5b76e84fb8fd36c983b38e8e391d165cdd9047832b0d9100f0e1ba7085484b7db5
 SHA512 
549d8d130fea9ec0d5806126f57f31d433f50e9328c5532ad417c44bb5488ec0d20acb0983dbe54dabaa0b453cbea4533cf7baac7144df119e8f78dfe55c5ab8
 DIST reqwest-0.12.26.crate 156458 BLAKE2B 
3f004931954009776e8f1c13654db4003163ca8fca5f1261d00da358545d134709cf76632bd0a5e4e661f053d6396c186eb5c9e5cdd50c6f3098fe4029bb596b
 SHA512 
9b563b177131f7a97a47a7e05b09e0f9291b1222a1719ea10b158f52daf5a4f01da830876821cb4deb00dec3207d0dd76514087bcb9b623deb33b37ed0b62780
@@ -142,6 +153,7 @@ DIST subtle-2.6.1.crate 14562 BLAKE2B 
3cf4940b7a01f04715da1057f6a92b1043a6b86ab2
 DIST syn-2.0.104.crate 299699 BLAKE2B 
f64d2267abe9140456dd31d52ada0c75bfa3e4e0112ca77491245e9e84a0530f6c7cdc7428b73cf567a65ef6e7727f814fb9cb34db0ecc9cc3afd05b69fd36f7
 SHA512 
da532fa362266161b5604c821c913f8f990eb32c18e18c0a360b7147b9f71ae008e208f377cb203e85818bd5db926951122a971fa97563a10678f0ba4671e64f
 DIST synapse-1.146.0.gh.tar.gz 9234403 BLAKE2B 
b458d547a20a60edb3552a6ac9ccdb0dbfc9641a1cddfd3be0fbc3dc01fd342d1d9136080d9a71c1642823f3e1779751afd87be989331f9f2db39d04fd15cf9f
 SHA512 
0b365ad45b181fc09fa543fe7ada07313880268be553de31f75d9910c8914368bca89298e080c88b2531d20561c5162a4037d85cbf7bcc89aed5e414b936aa64
 DIST synapse-1.148.0.gh.tar.gz 9258929 BLAKE2B 
a1e8f642f9e12d9720c1ccbf7faf515c901a045910a5e4c0937f95a94c421405706b96ed5102f0ea31b1c202d29d8c8e253804768a076a9ba31157964ebd7245
 SHA512 
8cd04c27d2987c6e61238811d95ec406986cba3492102540644c1d46fcca41b68481d5e74b35df52a198ad63104cd5f0891141ffb2f1952e5da9e871ae752682
+DIST synapse-1.149.1.gh.tar.gz 9277999 BLAKE2B 
a5f1d243df4a917528aa75e2a3802892c8c3bcd7236c395faa50970f0c0aa067b1d492b1bea65fd581a3a83bb2853b9d524247cf758ca9b29e307d6cb20f4cb5
 SHA512 
1645baea821c7007e05c1aa52a34b668c315d2335b6940ef6874df47bb3f3ee49e07befd44e925d13169597cf4d463e32f754692f7889dc1db3a8486f44c2d0b
 DIST sync_wrapper-1.0.2.crate 6958 BLAKE2B 
b2e162f982ea827229dcff468bcf31c6286c57ea3491a909784cdb50b0ba36c3a1a6fbdc7b34fc2aa9a7df1d174393d61ea9dc7ab3439a5e1a1884e2473a70f8
 SHA512 
aa314a6ab3ba028d2a169ea55a50eecf3b73b475a81c91330430ece9f1734296562627a8c32fad51b5a26796931f364e2803b3a13075ccd9a0aa614d5220903c
 DIST synstructure-0.13.2.crate 18950 BLAKE2B 
c475f370d901a371262f466dd98e3914dd6f36aa473a33362866c0f781d27b1813233f96b02208f3463a825e8012cab0f8872eed848d9aa0eac88b581a0d261e
 SHA512 
2698f4e80b93f7cf1d8ae97c4c42a7f61e7b7081f7f1bbb94d7f48ab7ae813a666d73c49ba3812cda9155e0138b55cc246fb96e5858e411a8d32bafb3e2b2afb
 DIST target-lexicon-0.13.2.crate 27923 BLAKE2B 
0761f0ffdc23b9c9df86b384d59611c7b8b5e29ff068f03367ad2fe84cfb6d11e1af149b9338236978e9566fedc51387db9f239d2a602db41045ac3db907faec
 SHA512 
d25e3cc3d679cb6b6f24c03e0c24db9d6ca31b8ed42ac9531bd7637557fbba225a6c8ac4f68a8eaf3569195814d599e668a968afbc73b940a77cbc27552cc90a

diff --git a/net-im/synapse/synapse-1.149.1.ebuild 
b/net-im/synapse/synapse-1.149.1.ebuild
new file mode 100644
index 000000000000..29552523d7ad
--- /dev/null
+++ b/net-im/synapse/synapse-1.149.1.ebuild
@@ -0,0 +1,364 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{11..14} )
+
+RUST_MIN_VER="1.82.0"
+CRATES="
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+wasi-snapshot-preview1
+       [email protected]+wasi-0.2.4
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+"
+
+inherit cargo distutils-r1 multiprocessing optfeature systemd
+
+DESCRIPTION="Reference implementation of Matrix homeserver"
+HOMEPAGE="
+       https://matrix.org/
+       https://github.com/element-hq/synapse
+"
+SRC_URI="
+       https://github.com/element-hq/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+       ${CARGO_CRATE_URIS}
+"
+
+LICENSE="|| ( AGPL-3+ Element-Commercial )"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD ISC MIT Unicode-3.0
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+IUSE="postgres selinux systemd test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       acct-user/synapse
+       acct-group/synapse
+       dev-python/attrs[${PYTHON_USEDEP}]
+       dev-python/bcrypt[${PYTHON_USEDEP}]
+       dev-python/bleach[${PYTHON_USEDEP}]
+       >=dev-python/canonicaljson-2[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/ijson[${PYTHON_USEDEP}]
+       dev-python/immutabledict[${PYTHON_USEDEP}]
+       >=dev-python/jinja2-3.0[${PYTHON_USEDEP}]
+       dev-python/jsonschema[${PYTHON_USEDEP}]
+       >=dev-python/matrix-common-1.3.0[${PYTHON_USEDEP}]
+       dev-python/msgpack[${PYTHON_USEDEP}]
+       dev-python/netaddr[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       dev-python/phonenumbers[${PYTHON_USEDEP}]
+       >=dev-python/pillow-10.0.1[${PYTHON_USEDEP},webp]
+       dev-python/prometheus-client[${PYTHON_USEDEP}]
+       dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+       dev-python/pyasn1[${PYTHON_USEDEP}]
+       dev-python/pydantic[${PYTHON_USEDEP}]
+       dev-python/pymacaroons[${PYTHON_USEDEP}]
+       dev-python/pyopenssl[${PYTHON_USEDEP}]
+       >=dev-python/python-multipart-0.0.12-r100[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/service-identity[${PYTHON_USEDEP}]
+       dev-python/signedjson[${PYTHON_USEDEP}]
+       dev-python/sortedcontainers[${PYTHON_USEDEP}]
+       dev-python/treq[${PYTHON_USEDEP}]
+       dev-python/twisted[${PYTHON_USEDEP}]
+       dev-python/typing-extensions[${PYTHON_USEDEP}]
+       dev-python/unpaddedbase64[${PYTHON_USEDEP}]
+       postgres? ( dev-python/psycopg:2[${PYTHON_USEDEP}] )
+       selinux? ( sec-policy/selinux-matrixd )
+       systemd? ( dev-python/python-systemd[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+       acct-user/synapse
+       acct-group/synapse
+       dev-python/setuptools-rust[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/hiredis[${PYTHON_USEDEP}]
+               dev-python/idna[${PYTHON_USEDEP}]
+               dev-python/lxml[${PYTHON_USEDEP}]
+               dev-python/parameterized[${PYTHON_USEDEP}]
+               dev-python/txredisapi[${PYTHON_USEDEP}]
+               postgres? ( dev-db/postgresql[server] )
+       )
+"
+
+# Rust extension
+QA_FLAGS_IGNORED="usr/lib/python3.*/site-packages/synapse/synapse_rust.abi3.so"
+
+src_prepare() {
+       # Upstream added transitive dependencies to pyproject.toml in PR [1]. 
Some
+       # of them are no longer depencencies of direct dependencies, but synapse
+       # checks for them anyway, and throws an error if they are not present.
+       # Following sed removes the those causing failures.
+       #
+       # [1] https://github.com/element-hq/synapse/pull/19289
+       sed -i -e '/pyrsistent/d' -e '/pyparsing/d' pyproject.toml || die
+
+       distutils-r1_src_prepare
+}
+
+src_test() {
+       if use postgres; then
+               einfo "Preparing postgres test instance"
+               initdb --pgdata="${T}/pgsql" || die
+               pg_ctl --wait --pgdata="${T}/pgsql" start \
+                       --options="-h '' -k '${T}'" || die
+               createdb --host="${T}" synapse_test || die
+
+               # See 
https://matrix-org.github.io/synapse/latest/development/contributing_guide.html#running-tests-under-postgresql
+               local -x SYNAPSE_POSTGRES=1
+               local -x SYNAPSE_POSTGRES_HOST="${T}"
+       fi
+
+       # This remove is necessary otherwise python is not able to locate
+       # synapse_rust.abi3.so.
+       rm -rf synapse || die
+
+       nonfatal distutils-r1_src_test
+       local ret=${?}
+
+       if use postgres; then
+               einfo "Stopping postgres test instance"
+               pg_ctl --wait --pgdata="${T}/pgsql" stop || die
+       fi
+
+       [[ ${ret} -ne 0 ]] && die
+}
+
+python_test() {
+       "${EPYTHON}" -m twisted.trial -j "$(makeopts_jobs)" tests
+}
+
+src_install() {
+       distutils-r1_src_install
+       keepdir /var/{lib,log}/synapse /etc/synapse
+       fowners synapse:synapse /var/{lib,log}/synapse /etc/synapse
+       fperms 0750 /var/{lib,log}/synapse /etc/synapse
+       newinitd "${FILESDIR}/${PN}.initd-r1" "${PN}"
+       systemd_dounit "${FILESDIR}/synapse.service"
+}
+
+pkg_postinst() {
+       optfeature "Redis support" dev-python/txredisapi
+       optfeature "URL previews" dev-python/lxml
+       optfeature "VoIP relaying on your homeserver with turn" net-im/coturn
+
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               einfo
+               elog "In order to generate initial configuration run:"
+               elog "sudo -u synapse synapse_homeserver \\"
+               elog "    --server-name matrix.domain.tld \\"
+               elog "    --config-path /etc/synapse/homeserver.yaml \\"
+               elog "    --generate-config \\"
+               elog "    --data-directory /var/lib/synapse \\"
+               elog "    --report-stats=no"
+               einfo
+       else
+               einfo
+               elog "Please refer to upgrade notes if any special steps are 
required"
+               elog "to upgrade from the version you currently have installed:"
+               elog
+               elog "  
https://github.com/element-hq/synapse/blob/develop/docs/upgrade.md";
+               einfo
+       fi
+}

Reply via email to